Bug 807803

Summary: Big avail icon on resource detail view doesn't get updated after stop, only tree is updated.
Product: [Other] RHQ Project Reporter: Mike Foley <mfoley>
Component: Core UIAssignee: Jay Shaughnessy <jshaughn>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.4CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.4.0   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 06:12:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
big availability icon on resource detail view none

Description Mike Foley 2012-03-28 14:46:40 EDT
Created attachment 573427 [details]
big availability icon on resource detail view

Description of problem:  Big avail icon on resource detail view doesn't get updated after stop, only tree is updated.


Version-Release number of selected component (if applicable):  RHQ 4.4


How reproducible: 
100%


Steps to Reproduce:
1.  stop agent
2.  see resource detail view (see attachment)

  
Actual results:  availability icon on resource detail view is not refreshed


Expected results:  availability icon on resource detail is refreshed and remains consistent with tree view


Additional info:
Comment 1 Jay Shaughnessy 2012-03-30 11:34:38 EDT
This is a known issue, described in bug 688397.  I suggest it be marked as a duplicate and the original triaged to higher priority if necessary.
Comment 2 Mike Foley 2012-04-02 12:00:10 EDT
set priority per BZ triage 4/2/2012 (crocuh, loleary, mfoley, asantos)
Comment 3 Jay Shaughnessy 2012-04-02 17:20:20 EDT
I think the various bugs surrounding this sort of thing need to be grouped
into two categories:

1) issues with manual refresh of state

Manual refresh is done via Refresh buttons, refresh icons, the tree context
menu "Refresh", re-navigating or F5.


2) issues with automatic refresh of state

Automatic refresh is done via scheduled updates and polling. Today
we only have automatic refresh in the Dashboard, where the portlets
refresh on a schedule, via timers.


With respect to this BZ I'm planning to do work with #1-style refresh
because it seems like a bug.  Automatic refresh is, imo, an RFE and I
think a new BZ should be written that addresses/tracks the various BZs
in this space.
Comment 4 Jay Shaughnessy 2012-04-02 18:09:28 EDT
As an aside, this had nothing to do with the recent Availability work,
it's purely a pre-existing GUI issue.

master commit 81d4c70ce5b4b509933971db226d34b301846559

Add some infrastructure to more easily refresh the resource detail
"overview" canvas and use it to refresh the data whenever the view is
being refreshed.  Also, have the tree context menu "Refresh" call
CoreGUI.refresh() to actually refresh the view in addition to the tree.
Change the tree refresh logic. Previously it refreshed only the
children of the node, now it refreshes the node (and its siblings). Also,
fix a bug when refreshing the platform tree node.


Test notes:
Try the target node, sibling nodes, autogroup nodes, platform node.  Note
that it is expected that if you refresh high up in the tree the node
you had selected may be hidden.  This is not easily avoided, I think.
Comment 5 Heiko W. Rupp 2013-09-01 06:12:07 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.